Difference between revisions of "Contrib Status"

From VideoLAN Wiki
Jump to navigation Jump to search
m (Mac OS X → macOS)
 
(368 intermediate revisions by 21 users not shown)
Line 1: Line 1:
This page list the libraries needed to have a fully featured {{VLC}}.
+
This page lists the libraries needed to have a fully featured {{VLC}}. <br> The additional information in the table refers to the VLC contrib build system (located in extras/contrib in VLC 1.1; in contrib in VLC 2.0+). These versions are against the trunk version.  
The additional information in the table refer to the VLC contrib build system (located in extras/contrib).
 
These versions are against the trunk version.
 
  
=== Codecs ===
+
For information on how to compile {{VLC}} (including the contribs) on your platform see the [[Developers Corner|Build VLC media player]] box on the Developer Corner's page.
  
{| class="wikitable" style="font-size: smaller; text-align: center; width: 100%; margin: 1em auto 1em auto; border : 1px"
+
<br>
 +
 
 +
=== Codecs  ===
 +
 
 +
{| class="wikitable" style="margin: 1em auto; font-size: smaller; text-align: center; width: 100%;"
 
|+ '''Contrib Status'''  
 
|+ '''Contrib Status'''  
 
|-
 
|-
! Contrib lib !! VLC version !! Most recent version !! Compile !! Win32 !! BeOS !! MacOSX !! *Nix !! WinCE !Where ? !! Comment  
+
! Contrib lib  
 +
! VLC version  
 +
! Most recent version  
 +
! Compile  
 +
! Win32  
 +
! macOS
 +
! *Nix  
 +
! WinCE  
 +
! Where&nbsp;?  
 +
! License
 +
! Comment
 
|-
 
|-
 
! libvorbis  
 
! libvorbis  
|| 1.2.0 || 1.2.0 || {{up-to-date}} || {{Needed}}  || {{Needed}} || {{Needed}} || {{Needed}} || {{unNeeded}} || [http://www.xiph.org/downloads/ Xiph.org] ||  
+
| 1.3.5
 +
| 1.3.5
 +
| {{up-to-date}}  
 +
| {{Needed}}  
 +
| {{Needed}}  
 +
| {{Needed}}  
 +
| {{unNeeded}}  
 +
| [http://www.xiph.org/downloads/ Xiph.org]  
 +
| BSD-like<br>
 +
| <br>
 
|-
 
|-
! libogg
+
! libogg  
|| 1.1.3 || 1.1.3 || {{up-to-date}} || {{Needed}}  || {{Needed}} || {{Needed}} || {{Needed}} || {{Needed}} || [http://www.xiph.org/downloads/ Xiph.org]||  
+
| 1.3.2
 +
| 1.3.2
 +
| {{up-to-date}}  
 +
| {{Needed}}  
 +
| {{Needed}}  
 +
| {{Needed}}  
 +
| {{Needed}}  
 +
| [http://www.xiph.org/downloads/ Xiph.org]  
 +
| BSD-like<br>
 +
| <br>
 
|-
 
|-
! libtheora
+
! libtheora  
|| 1.0alpha8 || 1.0alpha8 || {{up-to-date}} || {{Needed}}  || {{Needed}} || {{Needed}} || {{Needed}} |{{unNeeded}} || [http://www.xiph.org/downloads/ Xiph.org] ||  
+
|  
 +
1.1.1
 +
 
 +
| 1.1.1
 +
| {{up-to-date}}  
 +
| {{Needed}}  
 +
| {{Needed}}  
 +
| {{Needed}}  
 +
| {{unNeeded}}  
 +
| [http://www.xiph.org/downloads/ Xiph.org]  
 +
| BSD-like<br>
 +
| <br>
 
|-
 
|-
! speex
+
! speex  
|| 1.2beta2 || 1.2beta2 || {{up-to-date}} || {{Needed}}  || {{Needed}} || {{Needed}} || {{Needed}} || {{unNeeded}} || [http://www.speex.org/downloads/ Speex.org]||  
+
| 1.2rc2
 +
| 1.2rc2
 +
| {{up-to-date}}  
 +
| {{Needed}}  
 +
| {{Needed}}  
 +
| {{Needed}}  
 +
| {{unNeeded}}  
 +
| [http://www.xiph.org/downloads/ Xiph.org]  
 +
| BSD-like<br>
 +
| <br>
 
|-
 
|-
! flac
+
! flac  
|1.2.1 |1.2.1 || {{up-to-date}} || {{Needed}} || {{Needed}} || {{Needed}} || {{Needed}}  || {{unNeeded}} || [http://flac.sourceforge.net/ flac.sf] ||  
+
| 1.3.1
 +
| 1.3.1
 +
| {{up-to-date}}  
 +
| {{Needed}}  
 +
| {{Needed}}  
 +
| {{Needed}}  
 +
| {{unNeeded}}  
 +
| [http://xiph.org/flac/ xiph.org]  
 +
| BSD-like<br>
 +
| <br>
 
|-
 
|-
 
! x264  
 
! x264  
|| svn || svn || {{up-to-date}} || {{Needed}} ||{{unNeeded}}  || {{Needed}} || {{Needed}} ||{{unNeeded}} || SVN ||
+
| svn  
 +
| svn  
 +
| {{up-to-date}}  
 +
| {{Needed}}  
 +
| {{Needed}}  
 +
| {{Needed}}  
 +
| {{unNeeded}}  
 +
| SVN  
 +
| GPLv2+<br>
 +
| <br>
 
|-
 
|-
! a52
+
! a52  
|0.7.4 |0.7.4 || {{up-to-date}} || {{Needed}} || {{Needed}} || {{Needed}} || {{Needed}}  ||{{unNeeded}} || [http://liba52.sf.net liba52.sf] || Not likely to be updated
+
| 0.7.4  
|-
+
| 0.7.4  
! MPEG2DEC
+
| {{up-to-date}}  
|| 0.4.1 || 0.4.1 || {{up-to-date}} || {{Needed}}  || {{Needed}}  || {{Needed}}  || {{Needed}}  ||{{unNeeded}} || [http://libmpeg2.sf.net libmpeg2.sf]  || Not likely to be updated
+
| {{Needed}}  
 +
| {{Needed}}  
 +
| {{Needed}}  
 +
| {{unNeeded}}  
 +
| [http://liba52.sf.net liba52.sf]  
 +
| GPLv2+<br>
 +
| Not likely to be updated
 
|-
 
|-
! faad2
+
! MPEG2DEC
|| 2.5 ||  cvs-20040923 || {{untested}} || {{Needed}} || {{Needed}} || {{Needed}} || {{Needed}} || {{Needed}} || || Licence problem!
+
| 0.5.1
 +
| 0.5.1
 +
| {{up-to-date}}  
 +
| {{Needed}}  
 +
| {{Needed}}  
 +
| {{Needed}}  
 +
| {{Needed}}  
 +
| [http://libmpeg2.sf.net libmpeg2.sf]
 +
| GPLv2+<br>
 +
| Not likely to be updated
 
|-
 
|-
! faac
+
! faad2
|| 1.25 || 1.25 |{{up-to-date}} || {{Needed}} || {{Needed}} || {{Needed}} || {{Needed}}  || {{unNeeded}} || [http://sourceforge.net/project/showfiles.php?group_id=704 sf.net] ||
+
| 2.7
 +
| 2.7
 +
| {{up-to-date}}  
 +
| {{Needed}}  
 +
| {{Needed}}  
 +
| {{Needed}}  
 +
| {{unNeeded}}  
 +
| [http://www.audiocoding.com/faad2.html audiocoding]  
 +
| GPLv2+<br>
 +
| <br>
 
|-
 
|-
! lame
+
! faac
|| 3.97b2 || 3.97 || {{untested}} || {{Needed}} || {{Needed}} || {{Needed}} || {{Needed}}  ||  {{unNeeded}} |[http://sourceforge.net/project/showfiles.php?group_id=290&package_id=309 sf.net] ||Not likely to be updated
+
| 1.28
 +
| 1.28
 +
| {{up-to-date}}  
 +
| {{Needed}}  
 +
| {{Needed}}  
 +
| {{Needed}}  
 +
| {{unNeeded}}  
 +
| [http://www.audiocoding.com/faac.html audiocoding]  
 +
| LGPL for modifications<br>
 +
| <br>
 
|-
 
|-
! ffmpeg
+
! lame
|| SVN || SVN ||  {{up-to-date}} || {{Needed}} || {{Needed}} || {{Needed}} || {{Needed}} || {{Needed}} || SVN ||
+
| 3.99.5
 +
| 3.99.5
 +
| {{up-to-date}}  
 +
| {{Needed}}  
 +
| {{Needed}}  
 +
| {{Needed}}  
 +
| {{unNeeded}}  
 +
| [http://sourceforge.net/projects/lame/files/lame/ sf.net]
 +
| LGPLv2+<br>
 +
| <br>
 
|-
 
|-
! libmad
+
! FFmpeg
|| 0.15.1b ||  0.15.1b || {{up-to-date}} || {{Needed}} || {{Needed}} || {{Needed}} || {{Needed}} || {{unNeeded}} || [http://sourceforge.net/project/showfiles.php?group_id=12349&package_id=86999 SF] ||
+
| SVN
 +
| SVN
 +
| {{up-to-date}}  
 +
| {{Needed}}  
 +
| {{Needed}}  
 +
| {{Needed}}  
 +
| {{Needed}}  
 +
| SVN
 +
| GPLv2/3/LGPL<br>
 +
| <br>
 
|-
 
|-
! dirac
+
! libmad
|| 0.7.0 || 0.7.0 || {{up-to-date}} || {{Needed}} ||{{unNeeded}} ||  {{Needed}} || {{Needed}} || {{unNeeded}} || [http://dirac.sf.net dirac.sf] ||
+
| 0.15.1b
 +
| 0.15.1b
 +
| {{up-to-date}}  
 +
| {{Needed}}  
 +
| {{Needed}}  
 +
| {{Needed}}  
 +
| {{unNeeded}}  
 +
| [http://sourceforge.net/project/showfiles.php?group_id=12349&package_id=86999 SF]  
 +
| GPLv2+<br>
 +
| <br>
 
|-
 
|-
! libdca
+
! orc
|| SVN ||  SVN || {{up-to-date}} || {{Needed}} || {{Needed}} || {{Needed}} || {{Needed}} || {{unNeeded}} || SVN ||
+
| 0.4.18
 +
| 0.4.18
 +
| {{up-to-date}}  
 +
| {{Needed}}  
 +
| {{Needed}}  
 +
| {{Needed}}  
 +
| {{unNeeded}}  
 +
| [http://code.entropywave.com/download/orc/ orc ]
 +
| Two-Clause BSD
 +
|
 
|-
 
|-
! twolame
+
! schroedinger
|| 0.3.10 || 0.3.10 || {{up-to-date}} || {{Needed}} || {{Needed}} || {{Needed}} || {{Needed}} ||  {{unNeeded}} || [http://www.twolame.org/ twolame.org] ||
+
| 1.0.11
 +
| 1.0.11
 +
| {{up-to-date}}  
 +
| {{Needed}}  
 +
| {{Needed}}  
 +
| {{Needed}}  
 +
| {{unNeeded}}  
 +
| [http://www.diracvideo.org/download/schroedinger/ diracvideo.org]  
 +
| GPLv2/LGPL 2.1/MIT<br>
 +
| <br>
 
|-
 
|-
! libmpcdec
+
! libdca
|| 1.2.6 || 1.2.6 || {{Up-to-date}} || {{Needed}} || {{Needed}} || {{Needed}} || {{Needed}} || {{unNeeded}} || [http://www.musepack.net/index.php?pg=src musepack] ||  
+
| SVN
 +
| SVN
 +
| {{up-to-date}}  
 +
| {{Needed}}  
 +
| {{Needed}}  
 +
| {{Needed}}  
 +
| {{unNeeded}}  
 +
| SVN
 +
| GPLv2+
 +
|
 
|-
 
|-
! Tremor
+
! twolame
|| SVN || SVN || {{no}} || {{unNeeded}} || {{unNeeded}} || {{unNeeded}} || {{unNeeded}} || {{Needed}} || SVN || Symbols missing in packages.mak ???
+
| 0.3.13
 +
| 0.3.13
 +
| {{up-to-date}}  
 +
| {{Needed}}  
 +
| {{Needed}}  
 +
| {{Needed}}  
 +
| {{unNeeded}}  
 +
| [http://www.twolame.org/ twolame.org]
 +
| LGPL 2.1+
 +
|
 
|-
 
|-
 +
! libmpcdec
 +
| r481
 +
| r481
 +
| {{Up-to-date}}
 +
| {{Needed}}
 +
| {{Needed}}
 +
| {{Needed}}
 +
| {{unNeeded}}
 +
| [http://www.musepack.net/index.php?pg=src musepack]
 +
| BSD
 +
|
 +
|-
 +
! Tremor
 +
| SVN
 +
| SVN
 +
| {{up-to-date}}
 +
| {{unNeeded}}
 +
| {{unNeeded}}
 +
| {{unNeeded}}
 +
| {{unNeeded}}
 +
| SVN
 +
| BSD-like
 +
|
 +
|-
 +
! libass
 +
| 0.11.2
 +
| 0.13.0
 +
| {{up-to-date}}
 +
| {{Needed}}
 +
| {{Needed}}
 +
| {{Needed}}
 +
| {{unNeeded}}
 +
| [https://github.com/libass/libass/releases Github]<br>
 +
| Simplified 2-clause BSD license
 +
|
 +
|-
 +
! libgsm
 +
| 1.0.13
 +
| 1.0.13
 +
| {{up-to-date}}
 +
| {{Needed}}
 +
| {{Needed}}
 +
| {{Needed}}
 +
| {{unNeeded}}
 +
| [http://libgsm.sourcearchive.com/ SourceArchive]
 +
| Simplified 2-clause BSD license
 +
|
 +
|-
 +
! libzvbi
 +
| 0.2.35
 +
| 0.2.35
 +
| {{up-to-date}}
 +
| {{Needed}}
 +
| {{Needed}}
 +
| {{Needed}}
 +
| {{unNeeded}}
 +
| [http://sourceforge.net/projects/zapping/files/zvbi/ SF]
 +
| ???
 +
|
 +
|-
 +
! mfx_dispatch
 +
| ?.?
 +
| ?.?
 +
| {{up-to-date}}
 +
| {{Needed}}
 +
| {{unNeeded}}
 +
| {{unNeeded}}
 +
| {{unNeeded}}
 +
| [http://git.videolan.org/?p=mfx_dispatch.git;a=summary videolan.org]
 +
| ???
 +
|
 +
|-
 +
! Opus
 +
| 1.1
 +
| 1.1
 +
| {{up-to-date}}
 +
| {{Needed}}
 +
| {{Needed}}
 +
| {{Needed}}
 +
| {{unNeeded}}
 +
| [http://www.opus-codec.org/downloads/ opus-codec.org]
 +
| three-clause BSD
 +
|
 
|}
 
|}
  
=== Muxers ===
+
=== Demuxers and Muxers ===
{| class="wikitable" style="font-size: smaller; text-align: center; width: 100%; margin: 1em auto 1em auto; border : 1px"
+
 
 +
{| style="margin: 1em auto; font-size: smaller; text-align: center; width: 100%;" class="wikitable"
 
|+ '''Contrib Status'''  
 
|+ '''Contrib Status'''  
 
|-
 
|-
! Contrib lib !! VLC version !! Most recent version !! Compile !! Win32 !! BeOS !! MacOSX !! *Nix !! WinCE !! Where !! Comment
+
! Contrib lib  
 +
! VLC version  
 +
! Most recent version  
 +
! Compile  
 +
! Win32  
 +
! macOS
 +
! *Nix  
 +
! WinCE  
 +
! Where  
 +
! License<br>
 +
! Comment
 +
|-
 +
! libebml
 +
| 1.3.0
 +
| 1.3.0
 +
| {{up-to-date}}
 +
| {{Needed}}
 +
| {{Needed}}
 +
| {{Needed}}
 +
| {{unNeeded}}
 +
| [http://www.matroska.org/downloads/linux.html matroska.org]
 +
| LGPLv2.1+<br>
 +
| <br>
 
|-
 
|-
! libebml
+
! libmatroska
|| SVN or 0.7.7 ||  SVN or 0.7.7 || {{up-to-date}} || {{Needed}} || {{Needed}} || {{Needed}} || {{Needed}}  || {{unNeeded}} || [http://www.matroska.org/downloads/linux.html matroska.org] || SVN down?
+
| 1.4.1
|-
+
| 1.4.1
! libmatroska
+
| {{up-to-date}}
||  0.8.0 or SVN || 0.8.1 || {{up-to-date}} || {{Needed}}  || {{Needed}}  || {{Needed}}  || {{Needed}} || {{unNeeded}} || [http://www.matroska.org/downloads/linux.html matroska.org] || Use SVN!
+
| {{Needed}}  
 +
| {{Needed}}  
 +
| {{Needed}}  
 +
| {{unNeeded}}  
 +
| [http://www.matroska.org/downloads/linux.html matroska.org]  
 +
| LGPLv2.1+<br>
 +
| <br>
 
|-
 
|-
! libdvbpsi
+
! libdvbpsi  
|| 0.1.5 || 0.1.5 || {{up-to-date}} || {{Needed}} || {{Needed}} || {{Needed}} || {{Needed}} || {{Needed}} || [http://www.videolan.org/developers/libdvbpsi.html libdvbpsi] ||
+
| 0.2.2
 +
| 0.2.2
 +
| {{up-to-date}}  
 +
| {{Needed}}  
 +
| {{Needed}}  
 +
| {{Needed}}  
 +
| {{Needed}}  
 +
| [http://www.videolan.org/developers/libdvbpsi.html libdvbpsi]  
 +
| LGPLv2.1+
 +
|  
 
|-
 
|-
 +
! libmodplug
 +
| 0.8.8.5
 +
| 0.8.8.5
 +
| {{up-to-date}}
 +
| {{Needed}}
 +
| {{Needed}}
 +
| {{Needed}}
 +
| {{unNeeded}}
 +
| [http://modplug-xmms.sourceforge.net/ modplug sur sf.net]
 +
| Public domain
 +
|
 +
|-
 +
! GME
 +
| 0.6.0
 +
| 0.6.0
 +
| {{up-to-date}}
 +
| {{Needed}}
 +
|
 +
|
 +
|
 +
| [http://code.google.com/p/game-music-emu/downloads/list GME on Google]
 +
| LGPLv2.1+
 +
|
 
|}
 
|}
  
=== Access ===
+
=== Access ===
  
{| class="wikitable" style="font-size: smaller; text-align: center; width: 100%; margin: 1em auto 1em auto; border : 1px"
+
{| class="wikitable" style="margin: 1em auto; font-size: smaller; text-align: center; width: 100%;"
 
|+ '''Contrib Status'''  
 
|+ '''Contrib Status'''  
 
|-
 
|-
! Contrib lib !! VLC version !! Most recent version !! Compile !! Win32 !! BeOS !! MacOSX !! *Nix !! WinCE !! Where ? !! Comment
+
! Contrib lib  
 +
! VLC version  
 +
! Most recent version  
 +
! Compile  
 +
! Win32  
 +
! macOS
 +
! *Nix  
 +
! WinCE  
 +
! Where&nbsp;?  
 +
! License
 +
! Comment
 
|-
 
|-
! shout
+
! shout  
|2.2.2 |2.2.2 || {{up-to-date}} || {{Needed}} || {{unNeeded}} || {{Needed}} || {{unNeeded}} |{{unNeeded}} || [http://downloads.us.xiph.org/releases/libshout/ xiph.org] ||
+
| 2.3.1
|-
+
| 2.3.1
! libdvdcss
+
| {{up-to-date}}  
|| 1.2.9 ||  1.2.9 ||  {{up-to-date}} || {{Needed}}  || {{Needed}}  || {{Needed}}  || {{Needed}} || {{unNeeded}} || [http://download.videolan.org/pub/libdvdcss/?C=N;O=D libdvdcss on v.o] ||
+
| {{Needed}}  
 +
| {{Needed}}  
 +
| {{unNeeded}}  
 +
| {{unNeeded}}  
 +
| [http://www.icecast.org/download.php icecast.org]  
 +
| LGPLv2.1+
 +
|  
 
|-
 
|-
! libdvdnav
+
! libdvdcss
|| CVS  || CVS || {{up-to-date}} || {{Needed}} || {{Needed}} || {{Needed}} || {{Needed}} || {{unNeeded}} || [http://dvd.sourceforge.net/] ||
+
| 1.2.13
 +
| 1.2.13
 +
| {{up-to-date}}  
 +
| {{Needed}}  
 +
| {{Needed}}  
 +
| {{Needed}}  
 +
| {{unNeeded}}  
 +
| [http://download.videolan.org/pub/libdvdcss/?C=N;O=D libdvdcss on v.o]  
 +
| GPLv2+
 +
|  
 
|-
 
|-
! livedotcom
+
! libdvdread
|| latest trunk || latest trunk || {{up-to-date}} || {{Needed}} || {{Needed}} || {{Needed}} || {{Needed}} || {{unNeeded}} || [http://www.live555.com/mediaServer/#downloading live555]||
+
| 5.0.0
 +
| 5.0.0
 +
| {{up-to-date}}  
 +
| {{Needed}}  
 +
| {{Needed}}  
 +
| {{Needed}}  
 +
| {{unNeeded}}  
 +
| [http://dvdnav.mplayerhq.hu/ dvd.sf.net]  
 +
| GPLv2+
 +
|  
 
|-
 
|-
! libcddb
+
! libdvdnav
|| 1.3.0 || 1.3.0 || {{up-to-date}} || {{unNeeded}} || {{unNeeded}} || {{Needed}} || {{unNeeded}} ||  {{unNeeded}} || [http://libcddb.sourceforge.net/download.html libcddb.sf.net] ||
+
| 5.0.0
 +
| 5.0.0  
 +
| {{up-to-date}}  
 +
| {{Needed}}  
 +
| {{Needed}}  
 +
| {{Needed}}  
 +
| {{unNeeded}}  
 +
| [http://dvdnav.mplayerhq.hu/ dvd.sf.net]  
 +
| GPLv2+
 +
|  
 
|-
 
|-
! libcdio
+
! libbluray
|| 0.78.2 || 0.78.2 || {{up-to-date}} || {{unNeeded}} || {{unNeeded}} || {{Needed}} || {{unNeeded}} || {{unNeeded}} || [http://ftp.gnu.org/gnu/libcdio/?M=D gnu.org] ||
+
| 0.9.3
 +
| 0.9.2  
 +
| {{up-to-date}}  
 +
| {{Needed}}  
 +
| {{Needed}}  
 +
| {{Needed}}  
 +
| {{unNeeded}}  
 +
| [http://www.videolan.org/developers/libbluray.html videolan.org]  
 +
| LGPLv2.1+
 +
|  
 
|-
 
|-
! VCDimager
+
! livedotcom
|| 0.7.23 || 0.7.23 || {{Up-to-date}} || {{unNeeded}} || {{unNeeded}} || {{Needed}} || {{unNeeded}} || {{unNeeded}} || [http://www.vcdimager.org/pub/vcdimager/vcdimager-0.7/ vcdimager] ||
+
| latest trunk
 +
| latest trunk
 +
| {{up-to-date}}
 +
| {{Needed}}
 +
| {{Needed}}
 +
| {{Needed}}
 +
| {{Needed}}
 +
| [http://www.live555.com/mediaServer/#downloading live555]
 +
| LGPLv2.1+
 +
|
 +
|-
 +
! libcddb
 +
| 1.3.2
 +
| 1.3.2
 +
| {{up-to-date}}  
 +
| {{Needed}}
 +
| {{Needed}}
 +
| {{unNeeded}}  
 +
| {{unNeeded}}
 +
| [http://libcddb.sourceforge.net/download.html libcddb.sf.net]
 +
| LGPLv2+
 +
|
 +
|-
 +
! libcdio
 +
| 0.80
 +
| 0.82
 +
| {{Untested}}
 +
| {{unNeeded}}  
 +
| {{Needed}}
 +
| {{unNeeded}}
 +
| {{unNeeded}}  
 +
| [http://ftp.gnu.org/gnu/libcdio/?M=D gnu.org]
 +
| GPLv2+
 +
|
 +
|-
 +
! VCDimager
 +
| 0.7.23
 +
| 0.7.23
 +
| {{Up-to-date}}
 +
| {{unNeeded}}  
 +
| {{Needed}}
 +
| {{unNeeded}}  
 +
| {{unNeeded}}
 +
| [http://www.vcdimager.org/pub/vcdimager/vcdimager-0.7/ vcdimager]  
 +
| GPLv2+
 +
|
 +
|-
 +
! libgpg-error
 +
| 1.15
 +
| 1.15
 +
| {{Up-to-date}}
 +
| {{Needed}}
 +
| {{Needed}}
 +
| {{Needed}}
 +
| {{unNeeded}}
 +
| [ftp://ftp.gnupg.org/gcrypt/libgpg-error/ gnupg.org]
 +
| LGPLv2.1+
 +
|  
 
|-
 
|-
! libgpg-error
 
|| 1.5 || 1.5 || {{Up-to-date}} || {{Needed}}  ||{{unNeeded}} ||  {{Needed}}  || {{Needed}}  ||  {{unNeeded}} || [http://ftp.gnupg.org/gcrypt/libgpg-error/ gnupg.org] ||
 
|-
 
 
! libgcrypt  
 
! libgcrypt  
|| 1.2.3 || 1.2.4 || {{No}} |{{Needed}} ||{{unNeeded}} || {{Needed}} || {{Needed}} || {{unNeeded}} || [ftp://ftp.gnupg.org/gcrypt/libgcrypt/ gnupg.org] || Does not seem to compile on MingW32
+
| 1.6.2
|-  
+
| 1.6.2
! gnuTLS
+
| {{up-to-date}}  
|| 1.6.3 || 2.0.1 || {{untested}} |{{Needed}} ||{{unNeeded}} ||  {{Needed}} || {{Needed}} || {{unNeeded}} || [http://www.gnu.org/software/gnutls/news.html gnu.org] ||
+
| {{Needed}}  
|-
+
| {{Needed}}  
! Opendaap
+
| {{Needed}}  
|| 0.4.0 || 0.4.0 || {{Up-to-date}}||{{unNeeded}} ||{{unNeeded}} ||{{Needed}} ||{{unNeeded}} || {{unNeeded}} || ||
+
| {{unNeeded}}  
 +
| [ftp://ftp.gnupg.org/gcrypt/libgcrypt/ gnupg.org]  
 +
| LGPLv2.1+
 +
|  
 +
|-
 +
! gnuTLS  
 +
| 3.2.17
 +
| 3.2.17
 +
| {{up-to-date}}  
 +
| {{Needed}}  
 +
| {{Needed}}  
 +
| {{Needed}}  
 +
| {{unNeeded}}  
 +
| [http://gnutls.org/ gnutls.org]  
 +
| LGPLv2.1+(lib)/GPLv3(extra)
 +
|  
 
|-
 
|-
! libxml2
+
! Opendaap
|| 2.6.30 || 2.6.30 || {{Up-to-date}} || {{Needed}} || {{unNeeded}} || {{unNeeded}} || {{Needed}} || {{unNeeded}} || [ftp://xmlsoft.org/libxml2/ xmlsoft ftp] ||
+
| 0.4.0
 +
| 0.4.0
 +
| {{Up-to-date}}  
 +
| {{unNeeded}}  
 +
| {{Needed}}  
 +
| {{unNeeded}}  
 +
| {{unNeeded}}  
 +
|  
 +
|  
 +
|  
 
|-
 
|-
 +
! libxml2
 +
| 2.9.1
 +
| 2.9.1
 +
| {{Up-to-date}}
 +
| {{Needed}}
 +
| {{unNeeded}}
 +
| {{Needed}}
 +
| {{unNeeded}}
 +
| [ftp://xmlsoft.org/libxml2/ xmlsoft ftp]
 +
| MIT License
 +
|
 +
|-
 +
! VNCServer
 +
| 0.9.9
 +
| 0.9.9
 +
| {{Up-to-date}}
 +
| {{Needed}}
 +
| {{unNeeded}}
 +
| {{Needed}}
 +
| {{unNeeded}}
 +
| [http://libvncserver.sourceforge.net/ sf.net]
 +
| GPLv2+
 +
|
 
|}
 
|}
  
=== Images ===
+
=== Images ===
{| class="wikitable" style="font-size: smaller; text-align: center; width: 100%; margin: 1em auto 1em auto; border : 1px"
+
 
 +
{| class="wikitable" style="margin: 1em auto; font-size: smaller; text-align: center; width: 100%;"
 
|+ '''Contrib Status'''  
 
|+ '''Contrib Status'''  
 
|-
 
|-
! Contrib lib !! VLC version !! Most recent version !! Compile !! Win32 !! BeOS !! MacOSX !! *Nix !! WinCE !! Where !! Comment
+
! Contrib lib  
 +
! VLC version  
 +
! Most recent version  
 +
! Compile  
 +
! Win32  
 +
! macOS
 +
! *Nix  
 +
! WinCE  
 +
! Where  
 +
! License<br>
 +
! Comment
 +
|-
 +
! libpng
 +
| 1.6.10
 +
| 1.6.10
 +
| {{up-to-date}}
 +
| {{Needed}}
 +
| {{Needed}}
 +
| {{Needed}}
 +
| {{unNeeded}}
 +
| [http://www.libpng.org/pub/png/libpng.html libpng.org]
 +
| Very open license, approaching BSD 2-clause
 +
|
 
|-
 
|-
! libpng
+
! libjpeg
|| 1.2.20 || 1.2.20 || {{up-to-date}} ||{{Needed}} ||{{unNeeded}} || {{Needed}} || {{Needed}} || {{unNeeded}} || [http://www.libpng.org/pub/png/libpng.html libpng.org]
+
| 9a
|-
+
| 9a
! libjpeg
+
| {{up-to-date}}  
|| 6b || 6b || {{up-to-date}} || {{Needed}} || {{Needed}} || {{Needed}} || {{Needed}} ||  {{unNeeded}} || [http://www.ijg.org/files/ ijg.org] || Rare updates
+
| {{Needed}}  
 +
| {{Needed}}  
 +
| {{Needed}}  
 +
| {{unNeeded}}  
 +
| [http://www.ijg.org/files/ ijg.org]  
 +
| 1. We don't promise that this software works.
 +
2. You can use this software for whatever you want. You don't have to pay us.<br> 3. You may not pretend that you wrote this software. If you use it in a program, you must acknowledge somewhere in your documentation that you've used the IJG code.  
 +
 
 +
|  
 
|-
 
|-
! libtiff
+
! libtiff  
|| 3.8.2 || 3.8.2 || {{up-to-date}} ||{{Needed}} || {{unNeeded}}|| {{Needed}}|| {{unNeeded}}|| {{unNeeded}}|| [ftp://ftp.remotesensing.org/pub/libtiff/ Main libtiff ftp] || Rare updates
+
| 4.0.3
 +
| 4.0.3
 +
| {{up-to-date}}  
 +
| {{Needed}}  
 +
| {{Needed}}  
 +
| {{unNeeded}}  
 +
| {{unNeeded}}  
 +
| [ftp://ftp.remotesensing.org/pub/libtiff/ Main libtiff ftp]  
 +
| BSD with Copyright attribution
 +
|  
 
|-
 
|-
! SDL
+
! SDL  
|| 1.2.12 || 1.2.12 || {{up-to-date}} || {{Needed}} || {{unNeeded}}|| {{Needed}}|| {{unNeeded}}|| {{unNeeded}}|| [http://www.libsdl.org/download-1.2.php libdsl.org] ||
+
| 1.2.15
 +
| 1.2.15
 +
| {{up-to-date}}  
 +
| {{Needed}}  
 +
| {{Needed}}  
 +
| {{unNeeded}}  
 +
| {{unNeeded}}  
 +
| [http://www.libsdl.org/download-1.2.php libsdl.org]  
 +
| LGPLv2.1+<br>
 +
| <br>
 
|-
 
|-
 
! SDL_image  
 
! SDL_image  
|| 1.2.6 || 1.2.6 || {{up-to-date}} || {{Needed}} || {{unNeeded}}|| {{Needed}}|| {{unNeeded}}|| {{unNeeded}}|| [http://www.libsdl.org/projects/SDL_image/ libdsl.org] ||
+
| 1.2.12
|-
+
| 1.2.12
 +
| {{up-to-date}}  
 +
| {{Needed}}  
 +
| {{Needed}}  
 +
| {{unNeeded}}  
 +
| {{unNeeded}}  
 +
| [http://www.libsdl.org/projects/SDL_image/ libsdl.org]  
 +
| LGPLv2.1+<br>
 +
| <br>
 
|}
 
|}
  
=== Tools ===
+
=== Tools ===
{| class="wikitable" style="font-size: smaller; text-align: center; width: 100%; margin: 1em auto 1em auto; border : 1px"
+
 
 +
{| style="margin: 1em auto; font-size: smaller; text-align: center; width: 100%;" class="wikitable"
 
|+ '''Contrib Status'''  
 
|+ '''Contrib Status'''  
 
|-
 
|-
! Contrib lib !! VLC version !! Most recent version !! Compile !! Win32 !! BeOS !! MacOSX !! *Nix !! WinCE !! Where ! || Comment
+
! Contrib lib  
 +
! VLC version  
 +
! Most recent version  
 +
! Compile  
 +
! Win32  
 +
! macOS
 +
! *Nix  
 +
! WinCE
 +
! Where&nbsp;!  
 +
! License<br>
 +
! Comment
 
|-
 
|-
 
! Autoconf  
 
! Autoconf  
| 2.61 || 2.61 || {{up-to-date}} || {{unNeeded}} || {{Needed}} || {{Needed}} || {{unNeeded}} || {{unNeeded}} || [http://ftp.gnu.org/gnu/autoconf/?M=D Gnu(slow)] ||
+
| 2.68
 +
| 2.68
 +
| {{up-to-date}}  
 +
| {{unNeeded}}  
 +
| {{Needed}}  
 +
| {{unNeeded}}  
 +
| {{unNeeded}}  
 +
| [http://ftp.gnu.org/gnu/autoconf/?M=D Gnu(slow)]  
 +
| We don't care<br>
 +
| <br>
 
|-
 
|-
! automake
+
! automake  
| 1.9.6 || 1.9.6 || {{up-to-date}} || {{unNeeded}} || {{Needed}} || {{Needed}} || {{unNeeded}} || {{unNeeded}} || [http://ftp.gnu.org/gnu/automake/?M=D Gnu(slow)] ||
+
| 1.11
 +
| 1.11
 +
| {{up-to-date}}  
 +
| {{unNeeded}}  
 +
| {{Needed}}  
 +
| {{unNeeded}}  
 +
| {{unNeeded}}  
 +
| [http://ftp.gnu.org/gnu/automake/?M=D Gnu(slow)]  
 +
| We don't care<br>
 +
| <br>
 
|-
 
|-
! Pkgconfig
+
! Pkgconfig  
| 0.20.0 |0.22.0 || {{untested}} ||{{unNeeded}} || {{unNeeded}}|| {{Needed}}|| {{unNeeded}}|| {{unNeeded}} || [http://pkgconfig.freedesktop.org/wiki/ fd.org] || Don't update [http://trac.videolan.org/vlc/changeset/17486 Rev.17486]
+
| 0.26
 +
| 0.26
 +
| {{up-to-date}}  
 +
| {{unNeeded}}  
 +
| {{Needed}}  
 +
| {{unNeeded}}  
 +
| {{unNeeded}}  
 +
| [http://pkgconfig.freedesktop.org/wiki/ fd.org]  
 +
| We don't care<br>
 +
|
 
|-
 
|-
! Perl
+
! libtool
| 5.8.8 || 5.8.8 |{{up-to-date}} || {{unNeeded}} || {{Needed}} || {{unNeeded}} || {{unNeeded}} || {{unNeeded}} || [http://www.perl.org Perl] ||
+
| 2.2.10
 +
| 2.2.10
 +
| {{up-to-date}}  
 +
| {{unNeeded}}  
 +
| {{Needed}}  
 +
| {{unNeeded}}  
 +
| {{unNeeded}}  
 +
| [http://www.gnu.org/software/libtool/ GNU-libtool]  
 +
| We don't care<br>
 +
| <br>
 
|-
 
|-
! libtool
+
! libiconv
| 1.5.24 |1.5.24 || {{up-to-date}} || {{unNeeded}} || {{Needed}} || {{Needed}} || {{unNeeded}} || {{unNeeded}} || [http://www.gnu.org/software/libtool/ GNU-libtool] || Not tested yet and not usefull.
+
| 1.14
|-
+
| 1.14
! libiconv
+
| {{up-to-date}}  
| 1.9.2 ||  1.11 || {{untested}} || {{Needed}} || {{Needed}} || {{unNeeded}}|| {{Needed}} || {{unNeeded}} || [http://www.gnu.org/software/libiconv/#downloading Gnu] || Not tested yet and not usefull.
+
| {{Needed}}  
 +
| {{unNeeded}}  
 +
| {{Needed}}  
 +
| {{Needed}}  
 +
| [http://www.gnu.org/software/libiconv/#downloading Gnu]  
 +
| LGPLv2.0+<br>
 +
|  
 
|-
 
|-
 
! gettext  
 
! gettext  
|| 0.16.1 |0.16.1 || {{up-to-date}} || {{Needed}}  || {{Needed}} || {{Needed}} || {{Needed}} || {{unNeeded}} || [http://ftp.gnu.org/gnu/gettext/ Gnu(slow)] ||
+
| 0.19.1
 +
| 0.19.1
 +
| {{up-to-date}}  
 +
| {{Needed}}  
 +
| {{Needed}}  
 +
| {{Needed}}  
 +
| {{unNeeded}}  
 +
| [http://ftp.gnu.org/gnu/gettext/ Gnu(slow)]  
 +
| LGPLv2.1+<br>
 +
| <br>
 +
|-
 +
! zlib
 +
| 1.2.8
 +
| 1.2.8
 +
| {{Up-to-date}}
 +
| {{Needed}}
 +
| {{unNeeded}}
 +
| {{Needed}}
 +
| {{unNeeded}}
 +
| [http://www.zlib.net/ zlib]
 +
| Free
 +
|  
 
|-
 
|-
! freetype2
+
! freetype2  
|2.3.5 ||  2.3.5 || {{up-to-date}} || {{Needed}} || {{Needed}} || {{Needed}} || {{Needed}}  || {{unNeeded}} |[http://freetype.org/index2.html freetype.org] ||  
+
| 2.5.3
 +
| 2.5.3
 +
| {{up-to-date}}  
 +
| {{Needed}}  
 +
| {{Needed}}  
 +
| {{Needed}}  
 +
| {{unNeeded}}  
 +
| [http://sourceforge.net/projects/freetype/files/freetype2/ freetype.org]  
 +
| dual FreeType (BSD+advertisement) or GPLv2<br>
 +
| <br>
 
|-
 
|-
 
! fribidi  
 
! fribidi  
|| 0.10.4 || 0.10.7 |{{no}} || {{Needed}} || {{Needed}} || {{Needed}} || {{Needed}}  |{{unNeeded}} || [http://fribidi.org/wiki/ fribidi.org] || Patches are useless for 0.10.5. Not compiling because of libtool, neither on gcc and mingw - 0.10.7 does not compile with mingw32
+
| 0.19.6
|-
+
| 0.19.6
! libunicows
+
| {{up-to-date}}  
|| 1.1.1 || 1.1.1 || {{up-to-date}} ||{{Needed}} || {{unNeeded}} || {{unNeeded}} || {{unNeeded}} || {{unNeeded}} || [http://libunicows.sourceforge.net/ libunicows] || 
+
| {{Needed}}  
|-
+
| {{Needed}}  
! zlib
+
| {{Needed}}  
|| 1.2.3 || 1.2.3 || {{Up-to-date}} || {{Needed}} || {{unNeeded}} || {{unNeeded}} || {{Needed}} || {{Needed}} || [http://www.zlib.net/ zlib] ||
+
| {{unNeeded}}  
 +
| [http://fribidi.org/download/ fribidi.org]  
 +
| LGPLv2.1+
 +
|  
 +
 
 
|-
 
|-
 +
! fontconfig
 +
| 2.10.2
 +
| 2.10.2
 +
| {{up-to-date}}
 +
| {{Needed}}
 +
| {{Needed}}
 +
| {{Needed}}
 +
| {{unNeeded}}
 +
| [http://www.freedesktop.org/software/fontconfig/release/?C=M;O=D fd.o]
 +
| BSD
 +
|
 
|}
 
|}
  
=== Others ===
+
=== Others ===
{| class="wikitable" style="font-size: smaller; text-align: center; width: 100%; margin: 1em auto 1em auto; border : 1px"
+
 
 +
{| style="margin: 1em auto; font-size: smaller; text-align: center; width: 100%;" class="wikitable"
 
|+ '''Contrib Status'''  
 
|+ '''Contrib Status'''  
 
|-
 
|-
! Contrib lib !! VLC version !! Most recent version !! Compile !! Win32 !! BeOS !! MacOSX !! *Nix !! WinCE !! Comment
+
! Contrib lib  
 +
! VLC version  
 +
! Most recent version  
 +
! Compile  
 +
! Win32  
 +
! macOS
 +
! *Nix  
 +
! WinCE
 +
! Where
 +
! License
 +
! Comment
 
|-
 
|-
!libid3tag
+
! taglib
|| 0.15.1b || 0.15.1b || {{up-to-date}} || {{Needed}} || {{Needed}} || {{Needed}} || {{Needed}} || {{unNeeded}} ||
+
| 1.8.0
 +
| 1.8.0
 +
| {{up-to-date}}  
 +
| {{Needed}}  
 +
| {{Needed}}  
 +
| {{Needed}}  
 +
| {{unNeeded}}  
 +
| http://developer.kde.org/~wheeler/taglib.html
 +
| <br>
 +
| <br>
 
|-
 
|-
!taglib
+
! goom2k4
|| 1.4 || 1.4 || {{up-to-date}} || {{Needed}} || {{Needed}} || {{unNeeded}} || {{unNeeded}} || {{unNeeded}} ||http://developer.kde.org/~wheeler/taglib.html
+
| 2k4-0
 +
| 2k4-0
 +
| {{up-to-date}}  
 +
| {{Needed}}  
 +
| {{Needed}}  
 +
| {{Needed}}  
 +
| {{unNeeded}}  
 +
| <br>
 +
| <br>
 +
| <br>
 
|-
 
|-
! goom2k4
+
! projectM
||  2k4-0 ||  2k4-0 || {{up-to-date}} || {{Needed}} ||{{unNeeded}} |{{Needed}} || {{Needed}} |{{unNeeded}} ||
+
| 2.0.1
 +
| 2.0.1
 +
| {{up-to-date}}  
 +
| {{Needed}}  
 +
| {{Needed}}  
 +
| {{Needed}}  
 +
| {{unNeeded}}
 +
| http://sourceforge.net/projects/projectm/files/
 +
| LGPLv2.1+
 +
| <br>
 
|-
 
|-
! libcaca
+
! libcaca  
|| 0.9 || 0.9 || {{up-to-date}}|| {{Needed}} ||{{unNeeded}} ||  {{Needed}} || {{Needed}} || {{unNeeded}} || 0.99-beta2 is not a release version ?
+
| 0.99-beta17
 +
| 0.99-beta17
 +
| {{up-to-date}}  
 +
| {{Needed}}  
 +
| {{Needed}}  
 +
| {{Needed}}  
 +
| {{unNeeded}}  
 +
| <br>
 +
| <br>
 +
| <br>
 
|-
 
|-
! libmodplug
+
! Qt
|| 0.8 ||  0.8 || {{up-to-date}} || {{Needed}} || {{unNeeded}} || {{Needed}} || {{Needed}} || {{unNeeded}} ||
+
| 4.8.5
 +
| 5.1
 +
| {{up-to-date}} for 4.x
 +
| {{Needed}}  
 +
| {{unNeeded}}  
 +
| {{Needed}}  
 +
| {{unNeeded}}  
 +
| [http://qt-project.org/ qt-project.org]
 +
| <br>
 +
| <br>
 
|-
 
|-
! glib
+
! portaudio
|| 1.2.10 || 1.2.10 || {{Up-to-date}}||{{unNeeded}} ||{{unNeeded}} ||{{Needed}} ||{{unNeeded}} || {{unNeeded}} ||v. gtk 1.2+
+
| 19
 +
| 19
 +
| {{up-to-date}}  
 +
| {{Yes}}<br>
 +
| {{unNeeded}}  
 +
| {{unNeeded}}  
 +
| {{unNeeded}}  
 +
| <br>
 +
| <br>
 +
| Commented for Win32
 
|-
 
|-
! libidl
+
! Upnp
|| 0.6.8 || 0.8.6 || {{Up-to-date}} ||{{unNeeded}} ||{{unNeeded}}||{{Needed}} ||{{unNeeded}} || {{unNeeded}} || ''Not up-to-date, but We don't need about new versions'', since we don't really build it. Mirror has changed. It is now on gnome site
+
| 1.6.18
 +
| 1.6.18
 +
| {{up-to-date}}
 +
| {{unNeeded}}  
 +
| {{unNeeded}}  
 +
| {{unNeeded}}  
 +
| {{unNeeded}}  
 +
| http://pupnp.sourceforge.net/
 +
| <br>
 +
| <br>
 
|-
 
|-
! glib-win32
+
! expat
|| 19990228 ~ 1.2.0 || 1.2.10 || {{Up-to-date}} || {{Needed}} ||{{unNeeded}} ||{{unNeeded}} ||{{unNeeded}} || {{unNeeded}} || ''Not up-to-date, but We don't need about new versions'', since we don't really build it.
+
| 2.0.0  
 +
| 2.0.1
 +
| {{untested}}  
 +
| {{unNeeded}}  
 +
| {{unNeeded}}  
 +
| {{unNeeded}}  
 +
| {{unNeeded}}  
 +
| <br>
 +
| <br>
 +
| Commented for macOS
 
|-
 
|-
! libidl-win32
+
! yasm
|| 0.6.3 || 0.8.6 || {{Up-to-date}} ||{{Needed}} ||{{unNeeded}} ||{{unNeeded}} ||{{unNeeded}} || {{unNeeded}} || ''Not up-to-date, but We don't need about new versions'', since we don't really build it. Mirror has changed. It is now on gnome site
+
| 1.1.0
 +
| 1.1.0
 +
| {{untested}}  
 +
| {{unNeeded}}  
 +
| {{Needed}}  
 +
| {{unNeeded}}  
 +
| {{unNeeded}}  
 +
| <br>
 +
| <br>
 +
| For Intel-based Macs
 
|-
 
|-
! gecko
+
 
|| 1.7.5 || 1.8b1 || {{Up-to-date}}  ||{{unNeeded}} ||{{unNeeded}} ||{{Needed}} ||{{unNeeded}} ||  {{unNeeded}} ||''Not up-to-date, but We don't need about new versions'', since we don't really build it.
+
! SQLite
 +
| 3.6
 +
| 3.6
 +
| <br>
 +
| <br>
 +
| <br>
 +
| <br>
 +
| <br>
 +
| <br>
 +
| <br>
 +
| <br>
 
|-
 
|-
! gecko-win32
+
! Contrib lib  
|| 1.8b1 || 1.8b1 || {{Up-to-date}} || {{Needed}} ||{{unNeeded}} ||{{unNeeded}} ||{{unNeeded}} || {{unNeeded}} ||''Not up-to-date, but We don't need about new versions'', since we don't really build it.
+
! VLC version  
|-
+
! Most recent version  
! wxWidgets
+
! Compile  
|| 2.6.3 || 2.6.3 || {{Up-to-date}} || {{Needed}} || {{unNeeded}} || {{unNeeded}} || {{Needed}} || {{unNeeded}} ||
+
! Win32  
|-
+
! macOS
! Qt
+
! *Nix  
|| 4.2.3 || 4.2.3|| {{up-to-date}} || {{Needed}} || {{unNeeded}} || {{unNeeded}} || {{Needed}} || {{unNeeded}} ||
+
! WinCE
|-
+
! <br>
! portaudio
+
! <br>
|| 19 || 19 || {{up-to-date}} || {{unNeeded}} || {{unNeeded}} || {{unNeeded}} || {{unNeeded}} ||  {{unNeeded}} ||Commented for Win32
+
! Comment
|-
 
! Clinkcc
 
|| 171 || 171  || {{up-to-date}}|| {{unNeeded}} || {{unNeeded}} || {{unNeeded}} || {{unNeeded}} || {{unNeeded}} || Commented for MacOSX
 
|-
 
! Upnp
 
|| 1.3.1 || 1.3.1 || {{up-to-date}} || {{unNeeded}} || {{unNeeded}} || {{unNeeded}} || {{unNeeded}} || {{unNeeded}} || Commented
 
|-
 
! expat
 
|| 2.0.0 || 2.0.0  || {{up-to-date}} || {{unNeeded}} || {{unNeeded}} || {{unNeeded}} || {{unNeeded}} ||  {{unNeeded}} ||Commented for MacOSX
 
|-
 
! NASM
 
|| Cvs 2006-01 || CVS || {{up-to-date}} || {{unNeeded}} || {{unNeeded}} || {{unNeeded}} || {{unNeeded}} || {{unNeeded}} || For MacTels. Need to update cvs ???
 
|-
 
! Contrib lib !! VLC version !! Most recent version !! Compile !! Win32 !! BeOS !! MacOSX !! *Nix !! WinCE !! Comment
 
 
|}
 
|}
 +
 +
=== Usage ===
 +
There are some very important dependencies:
 +
'''gettext (NLS)''' for international support (required),
 +
'''libdvbpsi''' for MPEG-TS files and streams support, libmad for MP3 audio decoding,
 +
'''libmpeg2''' for MPEG1 and MPEG2 video support,
 +
'''FFmpeg''' or '''libav''' (libavcodec, libavformat, libpostproc, libswscale and optionally libavio) for MPEG4 and most other audio and video codecs, and many file formats,
 +
'''liba52''' for Dolby (AC3) sound,
 +
'''dvdread''' and '''dvdnav''' for DVD playback,
 +
'''live555''' for RTSP stream playback,
 +
etc.
 +
 +
For audio output, you will need probably '''alsa-lib''' (on [[Linux]]) and/or '''libpulse''' (for [[PulseAudio]]).
 +
For video output, you will normally need '''XCB/XVideo''' and/or '''OpenGL/GLX'''.
 +
And '''Qt4''' is required to get the GUI support.
 +
 +
=== Single command installation in Ubuntu 14.04 ===
 +
 +
Note:
 +
* Add the ppa "ppa:mc3man/trusty-media" to access the package 'ffmpeg'.
 +
* libcdio10 -> libcdio13
 +
* libdap10 -> libdap11
 +
* libtiff4 -> libtiff5
 +
* libupnp3 -> libupnp6
 +
* added liblua5.2-dev
 +
* added libswscale-dev
 +
 +
$ sudo apt-get -y install libvorbis-dev libogg-dev libtheora-dev speex libspeex-dev flac libflac-dev \
 +
  x264 libx264-dev a52-0.7.4 liba52-0.7.4-dev mpeg2dec libmpeg2-4-dev faad libfaad-dev faac libfaac-dev \
 +
  lame libmp3lame-dev ffmpeg libavdevice-dev libmad0 libmad0-dev dirac libdirac-dev liboil-dev libschroedinger-dev \
 +
  libebml-dev libdca-dev twolame libtwolame-dev libmpcdec-dev libvorbisidec1 libvorbisidec-dev libass-dev libass4 \
 +
  libmatroska-dev  libdvbpsi-dev libmodplug1 libmodplug-dev libshout3 libshout3-dev  libdvdread4 libdvdnav4 \
 +
  libdvdnav-dev livemedia-utils liblivemedia-dev libcddb2 libcddb2-dev libcdio13 libcdio-dev libxcb-composite0-dev\
 +
  libcdio-utils vcdimager libvcdinfo0 libvcdinfo-dev libgpg-error0 libgpg-error-dev libgcrypt11 libgcrypt11-dev \
 +
  gnutls-bin libgnutls26 libgnutls-dev libdap11 libdap-bin libdap-dev libxml2 libxml2-dev libpng12-0 libpng12-dev \
 +
  libjpeg8 libtiff5 libsdl1.2-dev libsdl-image1.2 libsdl-image1.2-dev libc-bin gettext libfreetype6 libfreetype6-dev \
 +
  libfribidi-dev libfribidi0 zlib1g zlib1g-dev libtag1-dev libcaca0 libcaca-dev caca-utils libqt4-core libqt4-dev \
 +
  libportaudio2 libportaudio-dev libupnp-dev libupnp4 libupnp6 libexpat1 libexpat1-dev yasm libxcb-xv0 libxcb-xv0-dev \
 +
  libx11-xcb1 libx11-xcb-dev liblua5.2-dev libswscale-dev
 +
 +
=== Single command installation in Ubuntu 11.10 ===
 +
 +
Note:
 +
* no longer available and not needed libebml2 libdvbpsi6 libmatroska2
 +
* added libxcb-composit0-dev
 +
 +
$ sudo apt-get -y install libvorbis-dev libogg-dev libtheora-dev speex libspeex-dev flac libflac-dev \
 +
  x264 libx264-dev a52-0.7.4 liba52-0.7.4-dev mpeg2dec libmpeg2-4-dev faad libfaad-dev faac libfaac-dev \
 +
  lame libmp3lame-dev ffmpeg libavdevice-dev libmad0 libmad0-dev dirac libdirac-dev liboil-dev libschroedinger-dev \
 +
  libebml-dev libdca-dev twolame libtwolame-dev libmpcdec-dev libvorbisidec1 libvorbisidec-dev libass-dev libass4 \
 +
  libmatroska-dev  libdvbpsi-dev libmodplug1 libmodplug-dev libshout3 libshout3-dev  libdvdread4 libdvdnav4 \
 +
  libdvdnav-dev livemedia-utils liblivemedia-dev libcddb2 libcddb2-dev libcdio10 libcdio-dev libxcb-composite0-dev\
 +
  libcdio-utils vcdimager libvcdinfo0 libvcdinfo-dev libgpg-error0 libgpg-error-dev libgcrypt11 libgcrypt11-dev \
 +
  gnutls-bin libgnutls26 libgnutls-dev libdap10 libdap-bin libdap-dev libxml2 libxml2-dev libpng12-0 libpng12-dev \
 +
  libjpeg8 libtiff4 libsdl1.2-dev libsdl-image1.2 libsdl-image1.2-dev libc-bin gettext libfreetype6 libfreetype6-dev \
 +
  libfribidi-dev libfribidi0 zlib1g zlib1g-dev libtag1-dev libcaca0 libcaca-dev caca-utils libqt4-core libqt4-dev \
 +
  libportaudio2 libportaudio-dev libupnp-dev libupnp4 libupnp3 libexpat1 libexpat1-dev yasm libxcb-xv0 libxcb-xv0-dev \
 +
  libx11-xcb1 libx11-xcb-dev
 +
=== Single command installation in Ubuntu  ===
 +
 +
$ sudo apt-get -y install libvorbis-dev libogg-dev libtheora-dev speex libspeex-dev flac libflac-dev \
 +
  x264 libx264-dev a52-0.7.4 liba52-0.7.4-dev mpeg2dec libmpeg2-4-dev faad libfaad-dev faac libfaac-dev \
 +
  lame libmp3lame-dev ffmpeg libavdevice-dev libmad0 libmad0-dev dirac libdirac-dev liboil-dev libschroedinger-dev \
 +
  libdca-dev twolame libtwolame-dev libmpcdec-dev libvorbisidec1 libvorbisidec-dev libass-dev libass4 libebml2 \
 +
  libebml-dev libmatroska2 libmatroska-dev libdvbpsi6 libdvbpsi-dev libmodplug1 libmodplug-dev libshout3 libshout3-dev \
 +
  libdvdread4 libdvdnav4 libdvdnav-dev livemedia-utils liblivemedia-dev libcddb2 libcddb2-dev libcdio10 libcdio-dev \
 +
  libcdio-utils vcdimager libvcdinfo0 libvcdinfo-dev libgpg-error0 libgpg-error-dev libgcrypt11 libgcrypt11-dev \
 +
  gnutls-bin libgnutls26 libgnutls-dev libdap10 libdap-bin libdap-dev libxml2 libxml2-dev libpng12-0 libpng12-dev \
 +
  libjpeg8 libtiff4 libsdl1.2-dev libsdl-image1.2 libsdl-image1.2-dev libc-bin gettext libfreetype6 libfreetype6-dev \
 +
  libfribidi-dev libfribidi0 zlib1g zlib1g-dev libtag1-dev libcaca0 libcaca-dev caca-utils libqt4-core libqt4-dev \
 +
  libportaudio2 libportaudio-dev libupnp-dev libupnp4 libupnp3 libexpat1 libexpat1-dev yasm libxcb-xv0 libxcb-xv0-dev \
 +
  libx11-xcb1 libx11-xcb-dev libswscale-dev lua libxcb-composite0-dev
 +
 +
=== Single command installation on Fedora ===
 +
$ yum install a52dec a52dec-devel caca-utils dirac dirac-devel expat expat-devel faac faac-devel faad2 faad2-devel ffmpeg \
 +
  ffmpeg-libs flac flac-devel fribidi-devel gettext gnutls gnutls-devel gnutls-utils lame lame-devel live555 live555-devel \
 +
  libass libass-devel libcaca libcaca-devel libcddb libcddb-devel libcdio libcdio-devel libdap libdap-devel libdca-devel \
 +
  libdvbpsi libdvbpsi-devel libdvdnav libdvdnav-devel libdvdread libebml libebml-devel freetype freetype-devel fribidi \
 +
  libgcrypt libgcrypt-devel libgpg-error libgpg-error-devel libjpeg-turbo libmad libmad-devel libmatroska libmatroska-devel \
 +
  libmodplug libmodplug-devel libmpcdec-devel libmpeg2-devel libogg-devel liboil-devel libpng libpng-devel libshout \
 +
  libshout-devel libtheora-devel libtiff libupnp libupnp-devel libvorbis-devel libX11 libX11-devel libxcb libxcb-devel \
 +
  libxml2 libxml2-devel mpeg2dec portaudio-devel qt4 qt4-devel schroedinger-devel SDL-devel SDL_image SDL_image-devel speex \
 +
  speex-devel taglib-devel twolame twolame-devel vcdimager vcdimager-devel vcdimager-libs x264 x264-devel yasm zlib \
 +
  lua xcb-util-devel libsamplerate-devel
  
 
[[Category:Coding]] [[Category:Building]] [[Category:Libraries]]
 
[[Category:Coding]] [[Category:Building]] [[Category:Libraries]]
 +
 +
{{Documentation}}

Latest revision as of 09:49, 24 January 2019

This page lists the libraries needed to have a fully featured VLC media player.
The additional information in the table refers to the VLC contrib build system (located in extras/contrib in VLC 1.1; in contrib in VLC 2.0+). These versions are against the trunk version.

For information on how to compile VLC media player (including the contribs) on your platform see the Build VLC media player box on the Developer Corner's page.


Codecs

Contrib Status
Contrib lib VLC version Most recent version Compile Win32 macOS *Nix WinCE Where ? License Comment
libvorbis 1.3.5 1.3.5 Up-to-date X X X - Xiph.org BSD-like

libogg 1.3.2 1.3.2 Up-to-date X X X X Xiph.org BSD-like

libtheora

1.1.1

1.1.1 Up-to-date X X X - Xiph.org BSD-like

speex 1.2rc2 1.2rc2 Up-to-date X X X - Xiph.org BSD-like

flac 1.3.1 1.3.1 Up-to-date X X X - xiph.org BSD-like

x264 svn svn Up-to-date X X X - SVN GPLv2+

a52 0.7.4 0.7.4 Up-to-date X X X - liba52.sf GPLv2+
Not likely to be updated
MPEG2DEC 0.5.1 0.5.1 Up-to-date X X X X libmpeg2.sf GPLv2+
Not likely to be updated
faad2 2.7 2.7 Up-to-date X X X - audiocoding GPLv2+

faac 1.28 1.28 Up-to-date X X X - audiocoding LGPL for modifications

lame 3.99.5 3.99.5 Up-to-date X X X - sf.net LGPLv2+

FFmpeg SVN SVN Up-to-date X X X X SVN GPLv2/3/LGPL

libmad 0.15.1b 0.15.1b Up-to-date X X X - SF GPLv2+

orc 0.4.18 0.4.18 Up-to-date X X X - orc Two-Clause BSD
schroedinger 1.0.11 1.0.11 Up-to-date X X X - diracvideo.org GPLv2/LGPL 2.1/MIT

libdca SVN SVN Up-to-date X X X - SVN GPLv2+
twolame 0.3.13 0.3.13 Up-to-date X X X - twolame.org LGPL 2.1+
libmpcdec r481 r481 Up-to-date X X X - musepack BSD
Tremor SVN SVN Up-to-date - - - - SVN BSD-like
libass 0.11.2 0.13.0 Up-to-date X X X - Github
Simplified 2-clause BSD license
libgsm 1.0.13 1.0.13 Up-to-date X X X - SourceArchive Simplified 2-clause BSD license
libzvbi 0.2.35 0.2.35 Up-to-date X X X - SF ???
mfx_dispatch ?.? ?.? Up-to-date X - - - videolan.org ???
Opus 1.1 1.1 Up-to-date X X X - opus-codec.org three-clause BSD

Demuxers and Muxers

Contrib Status
Contrib lib VLC version Most recent version Compile Win32 macOS *Nix WinCE Where License
Comment
libebml 1.3.0 1.3.0 Up-to-date X X X - matroska.org LGPLv2.1+

libmatroska 1.4.1 1.4.1 Up-to-date X X X - matroska.org LGPLv2.1+

libdvbpsi 0.2.2 0.2.2 Up-to-date X X X X libdvbpsi LGPLv2.1+
libmodplug 0.8.8.5 0.8.8.5 Up-to-date X X X - modplug sur sf.net Public domain
GME 0.6.0 0.6.0 Up-to-date X GME on Google LGPLv2.1+

Access

Contrib Status
Contrib lib VLC version Most recent version Compile Win32 macOS *Nix WinCE Where ? License Comment
shout 2.3.1 2.3.1 Up-to-date X X - - icecast.org LGPLv2.1+
libdvdcss 1.2.13 1.2.13 Up-to-date X X X - libdvdcss on v.o GPLv2+
libdvdread 5.0.0 5.0.0 Up-to-date X X X - dvd.sf.net GPLv2+
libdvdnav 5.0.0 5.0.0 Up-to-date X X X - dvd.sf.net GPLv2+
libbluray 0.9.3 0.9.2 Up-to-date X X X - videolan.org LGPLv2.1+
livedotcom latest trunk latest trunk Up-to-date X X X X live555 LGPLv2.1+
libcddb 1.3.2 1.3.2 Up-to-date X X - - libcddb.sf.net LGPLv2+
libcdio 0.80 0.82 untested ??? - X - - gnu.org GPLv2+
VCDimager 0.7.23 0.7.23 Up-to-date - X - - vcdimager GPLv2+
libgpg-error 1.15 1.15 Up-to-date X X X - gnupg.org LGPLv2.1+
libgcrypt 1.6.2 1.6.2 Up-to-date X X X - gnupg.org LGPLv2.1+
gnuTLS 3.2.17 3.2.17 Up-to-date X X X - gnutls.org LGPLv2.1+(lib)/GPLv3(extra)
Opendaap 0.4.0 0.4.0 Up-to-date - X - -
libxml2 2.9.1 2.9.1 Up-to-date X - X - xmlsoft ftp MIT License
VNCServer 0.9.9 0.9.9 Up-to-date X - X - sf.net GPLv2+

Images

Contrib Status
Contrib lib VLC version Most recent version Compile Win32 macOS *Nix WinCE Where License
Comment
libpng 1.6.10 1.6.10 Up-to-date X X X - libpng.org Very open license, approaching BSD 2-clause
libjpeg 9a 9a Up-to-date X X X - ijg.org 1. We don't promise that this software works.

2. You can use this software for whatever you want. You don't have to pay us.
3. You may not pretend that you wrote this software. If you use it in a program, you must acknowledge somewhere in your documentation that you've used the IJG code.

libtiff 4.0.3 4.0.3 Up-to-date X X - - Main libtiff ftp BSD with Copyright attribution
SDL 1.2.15 1.2.15 Up-to-date X X - - libsdl.org LGPLv2.1+

SDL_image 1.2.12 1.2.12 Up-to-date X X - - libsdl.org LGPLv2.1+

Tools

Contrib Status
Contrib lib VLC version Most recent version Compile Win32 macOS *Nix WinCE Where ! License
Comment
Autoconf 2.68 2.68 Up-to-date - X - - Gnu(slow) We don't care

automake 1.11 1.11 Up-to-date - X - - Gnu(slow) We don't care

Pkgconfig 0.26 0.26 Up-to-date - X - - fd.org We don't care
libtool 2.2.10 2.2.10 Up-to-date - X - - GNU-libtool We don't care

libiconv 1.14 1.14 Up-to-date X - X X Gnu LGPLv2.0+
gettext 0.19.1 0.19.1 Up-to-date X X X - Gnu(slow) LGPLv2.1+

zlib 1.2.8 1.2.8 Up-to-date X - X - zlib Free
freetype2 2.5.3 2.5.3 Up-to-date X X X - freetype.org dual FreeType (BSD+advertisement) or GPLv2

fribidi 0.19.6 0.19.6 Up-to-date X X X - fribidi.org LGPLv2.1+
fontconfig 2.10.2 2.10.2 Up-to-date X X X - fd.o BSD

Others

Contrib Status
Contrib lib VLC version Most recent version Compile Win32 macOS *Nix WinCE Where License Comment
taglib 1.8.0 1.8.0 Up-to-date X X X - http://developer.kde.org/~wheeler/taglib.html

goom2k4 2k4-0 2k4-0 Up-to-date X X X -


projectM 2.0.1 2.0.1 Up-to-date X X X - http://sourceforge.net/projects/projectm/files/ LGPLv2.1+
libcaca 0.99-beta17 0.99-beta17 Up-to-date X X X -


Qt 4.8.5 5.1 Up-to-date for 4.x X - X - qt-project.org

portaudio 19 19 Up-to-date Yes
- - -

Commented for Win32
Upnp 1.6.18 1.6.18 Up-to-date - - - - http://pupnp.sourceforge.net/

expat 2.0.0 2.0.1 untested ??? - - - -

Commented for macOS
yasm 1.1.0 1.1.0 untested ??? - X - -

For Intel-based Macs
SQLite 3.6 3.6







Contrib lib VLC version Most recent version Compile Win32 macOS *Nix WinCE

Comment

Usage

There are some very important dependencies: gettext (NLS) for international support (required), libdvbpsi for MPEG-TS files and streams support, libmad for MP3 audio decoding, libmpeg2 for MPEG1 and MPEG2 video support, FFmpeg or libav (libavcodec, libavformat, libpostproc, libswscale and optionally libavio) for MPEG4 and most other audio and video codecs, and many file formats, liba52 for Dolby (AC3) sound, dvdread and dvdnav for DVD playback, live555 for RTSP stream playback, etc.

For audio output, you will need probably alsa-lib (on Linux) and/or libpulse (for PulseAudio). For video output, you will normally need XCB/XVideo and/or OpenGL/GLX. And Qt4 is required to get the GUI support.

Single command installation in Ubuntu 14.04

Note:

  • Add the ppa "ppa:mc3man/trusty-media" to access the package 'ffmpeg'.
  • libcdio10 -> libcdio13
  • libdap10 -> libdap11
  • libtiff4 -> libtiff5
  • libupnp3 -> libupnp6
  • added liblua5.2-dev
  • added libswscale-dev
$ sudo apt-get -y install libvorbis-dev libogg-dev libtheora-dev speex libspeex-dev flac libflac-dev \
  x264 libx264-dev a52-0.7.4 liba52-0.7.4-dev mpeg2dec libmpeg2-4-dev faad libfaad-dev faac libfaac-dev \
  lame libmp3lame-dev ffmpeg libavdevice-dev libmad0 libmad0-dev dirac libdirac-dev liboil-dev libschroedinger-dev \
  libebml-dev libdca-dev twolame libtwolame-dev libmpcdec-dev libvorbisidec1 libvorbisidec-dev libass-dev libass4 \
  libmatroska-dev  libdvbpsi-dev libmodplug1 libmodplug-dev libshout3 libshout3-dev  libdvdread4 libdvdnav4 \
  libdvdnav-dev livemedia-utils liblivemedia-dev libcddb2 libcddb2-dev libcdio13 libcdio-dev libxcb-composite0-dev\
  libcdio-utils vcdimager libvcdinfo0 libvcdinfo-dev libgpg-error0 libgpg-error-dev libgcrypt11 libgcrypt11-dev \
  gnutls-bin libgnutls26 libgnutls-dev libdap11 libdap-bin libdap-dev libxml2 libxml2-dev libpng12-0 libpng12-dev \
  libjpeg8 libtiff5 libsdl1.2-dev libsdl-image1.2 libsdl-image1.2-dev libc-bin gettext libfreetype6 libfreetype6-dev \
  libfribidi-dev libfribidi0 zlib1g zlib1g-dev libtag1-dev libcaca0 libcaca-dev caca-utils libqt4-core libqt4-dev \
  libportaudio2 libportaudio-dev libupnp-dev libupnp4 libupnp6 libexpat1 libexpat1-dev yasm libxcb-xv0 libxcb-xv0-dev \
  libx11-xcb1 libx11-xcb-dev liblua5.2-dev libswscale-dev

Single command installation in Ubuntu 11.10

Note:

  • no longer available and not needed libebml2 libdvbpsi6 libmatroska2
  • added libxcb-composit0-dev
$ sudo apt-get -y install libvorbis-dev libogg-dev libtheora-dev speex libspeex-dev flac libflac-dev \
  x264 libx264-dev a52-0.7.4 liba52-0.7.4-dev mpeg2dec libmpeg2-4-dev faad libfaad-dev faac libfaac-dev \
  lame libmp3lame-dev ffmpeg libavdevice-dev libmad0 libmad0-dev dirac libdirac-dev liboil-dev libschroedinger-dev \
  libebml-dev libdca-dev twolame libtwolame-dev libmpcdec-dev libvorbisidec1 libvorbisidec-dev libass-dev libass4 \
  libmatroska-dev  libdvbpsi-dev libmodplug1 libmodplug-dev libshout3 libshout3-dev  libdvdread4 libdvdnav4 \
  libdvdnav-dev livemedia-utils liblivemedia-dev libcddb2 libcddb2-dev libcdio10 libcdio-dev libxcb-composite0-dev\
  libcdio-utils vcdimager libvcdinfo0 libvcdinfo-dev libgpg-error0 libgpg-error-dev libgcrypt11 libgcrypt11-dev \
  gnutls-bin libgnutls26 libgnutls-dev libdap10 libdap-bin libdap-dev libxml2 libxml2-dev libpng12-0 libpng12-dev \
  libjpeg8 libtiff4 libsdl1.2-dev libsdl-image1.2 libsdl-image1.2-dev libc-bin gettext libfreetype6 libfreetype6-dev \
  libfribidi-dev libfribidi0 zlib1g zlib1g-dev libtag1-dev libcaca0 libcaca-dev caca-utils libqt4-core libqt4-dev \
  libportaudio2 libportaudio-dev libupnp-dev libupnp4 libupnp3 libexpat1 libexpat1-dev yasm libxcb-xv0 libxcb-xv0-dev \
  libx11-xcb1 libx11-xcb-dev

Single command installation in Ubuntu

$ sudo apt-get -y install libvorbis-dev libogg-dev libtheora-dev speex libspeex-dev flac libflac-dev \
  x264 libx264-dev a52-0.7.4 liba52-0.7.4-dev mpeg2dec libmpeg2-4-dev faad libfaad-dev faac libfaac-dev \
  lame libmp3lame-dev ffmpeg libavdevice-dev libmad0 libmad0-dev dirac libdirac-dev liboil-dev libschroedinger-dev \
  libdca-dev twolame libtwolame-dev libmpcdec-dev libvorbisidec1 libvorbisidec-dev libass-dev libass4 libebml2 \
  libebml-dev libmatroska2 libmatroska-dev libdvbpsi6 libdvbpsi-dev libmodplug1 libmodplug-dev libshout3 libshout3-dev \
  libdvdread4 libdvdnav4 libdvdnav-dev livemedia-utils liblivemedia-dev libcddb2 libcddb2-dev libcdio10 libcdio-dev \
  libcdio-utils vcdimager libvcdinfo0 libvcdinfo-dev libgpg-error0 libgpg-error-dev libgcrypt11 libgcrypt11-dev \
  gnutls-bin libgnutls26 libgnutls-dev libdap10 libdap-bin libdap-dev libxml2 libxml2-dev libpng12-0 libpng12-dev \
  libjpeg8 libtiff4 libsdl1.2-dev libsdl-image1.2 libsdl-image1.2-dev libc-bin gettext libfreetype6 libfreetype6-dev \
  libfribidi-dev libfribidi0 zlib1g zlib1g-dev libtag1-dev libcaca0 libcaca-dev caca-utils libqt4-core libqt4-dev \
  libportaudio2 libportaudio-dev libupnp-dev libupnp4 libupnp3 libexpat1 libexpat1-dev yasm libxcb-xv0 libxcb-xv0-dev \
  libx11-xcb1 libx11-xcb-dev libswscale-dev lua libxcb-composite0-dev

Single command installation on Fedora

$ yum install a52dec a52dec-devel caca-utils dirac dirac-devel expat expat-devel faac faac-devel faad2 faad2-devel ffmpeg \
  ffmpeg-libs flac flac-devel fribidi-devel gettext gnutls gnutls-devel gnutls-utils lame lame-devel live555 live555-devel \
  libass libass-devel libcaca libcaca-devel libcddb libcddb-devel libcdio libcdio-devel libdap libdap-devel libdca-devel \
  libdvbpsi libdvbpsi-devel libdvdnav libdvdnav-devel libdvdread libebml libebml-devel freetype freetype-devel fribidi \
  libgcrypt libgcrypt-devel libgpg-error libgpg-error-devel libjpeg-turbo libmad libmad-devel libmatroska libmatroska-devel \
  libmodplug libmodplug-devel libmpcdec-devel libmpeg2-devel libogg-devel liboil-devel libpng libpng-devel libshout \
  libshout-devel libtheora-devel libtiff libupnp libupnp-devel libvorbis-devel libX11 libX11-devel libxcb libxcb-devel \
  libxml2 libxml2-devel mpeg2dec portaudio-devel qt4 qt4-devel schroedinger-devel SDL-devel SDL_image SDL_image-devel speex \
  speex-devel taglib-devel twolame twolame-devel vcdimager vcdimager-devel vcdimager-libs x264 x264-devel yasm zlib \
  lua xcb-util-devel libsamplerate-devel
This page is part of official VLC media player Documentation (User GuideStreaming HowToHacker GuideModules)
Please read the Documentation Editing Guidelines before you edit the documentation
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.